find_library(Uuid_LIBRARY NAMES uuid)
find_path(Uuid_INCLUDE_DIR NAMES uuid.h)
include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(Uuid DEFAULT_MSG Uuid_LIBRARY Uuid_INCLUDE_DIR)



if(NOT TARGET Uuid::uuid)
  add_library(Uuid::uuid UNKNOWN IMPORTED)

  target_link_libraries(Uuid::uuid INTERFACE ${Uuid_LIBRARIES})
  target_include_directories(Uuid::uuid INTERFACE "${Uuid_INCLUDE_DIRS}")

  set_target_properties(Uuid::uuid PROPERTIES
    IMPORTED_LOCATION "${Uuid_LIBRARY}"
    INTERFACE_INCLUDE_DIRECTORIES "${Uuid_INCLUDE_DIR}")
endif()
mark_as_advanced(
Uuid_LIBRARIES
Uuid_INCLUDE_DIR
)

